Rename signed contract
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{id}/rename \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{id}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{id}/rename"
payload = { "name": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Contract Submissions
Rename signed contract
Renombras el PDF combinado de un contrato firmado o pre-firmado de la biblioteca. Recibe 422 si la submission no tiene documento combinado o si el nombre viene vacío.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
contract_submissions
/
{id}
/
rename
Rename signed contract
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{id}/rename \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{id}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{id}/rename"
payload = { "name": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the submission
The numeric ID of the account
Body
application/json
Nombre nuevo del documento del contrato (sin espacios al inicio ni al final).
Response
Success
The response is of type object.
Was this page helpful?